To compile server.c:
$gcc -o exe_filename server.c
To run exe_filename:
$./exe_filename pathname

Whatever may be the executable file name.
Whatever may be the pathname. 
Through pathname both the client and server communicates each other.
You have to make sure server is in listen mode.

To compile client.c:
$gcc -o exe_filename1 client.c
To run exe_filename1:
$./exe_filename1 pathname

In this example pathname is socket

